Bug 306086 - Crash using systemsettings changing the gestures option
Summary: Crash using systemsettings changing the gestures option
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_khotkeys (show other bugs)
Version: 1.0
Platform: Debian unstable Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Michael Jansen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-31 14:55 UTC by Facundo Aguilera
Modified: 2013-02-09 16:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Facundo Aguilera 2012-08-31 14:55:36 UTC
Application: systemsettings (1.0)
KDE Platform Version: 4.8.4 (4.8.4)
Qt Version: 4.8.2
Operating System: Linux 3.4.0-9.dmz.4-liquorix-amd64 x86_64
Distribution: Debian GNU/Linux unstable (sid)

-- Information about the crash:
- What I was doing when the application crashed:
Check and uncheck "Start the input action daemon on login" from gestures preferences.
- Unusual behavior I noticed:
Systemsettings and kded4 crash.

The crash can be reproduced every time.

-- Backtrace:
Application: Preferencias del sistema (systemsettings), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[KCrash Handler]
#6  0x0000000000000021 in ?? ()
#7  0x00007fde3acd06be in qDeleteAll<QList<KHotKeys::Condition*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<KHotKeys::Condition_list_base> (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  KHotKeys::Condition_list_base::~Condition_list_base (this=0x4ace510, __in_chrg=<optimized out>) at ../../../khotkeys/libkhotkeysprivate/conditions/conditions_list_base.cpp:61
#10 0x00007fde3acd0fb1 in ~Condition_list (this=0x4ace510, __in_chrg=<optimized out>) at ../../../khotkeys/libkhotkeysprivate/conditions/conditions_list.h:35
#11 KHotKeys::Condition_list::~Condition_list (this=0x4ace510, __in_chrg=<optimized out>) at ../../../khotkeys/libkhotkeysprivate/conditions/conditions_list.h:35
#12 0x00007fde3accd8ae in KHotKeys::ActionDataBase::~ActionDataBase (this=0x4ac9ea0, __in_chrg=<optimized out>) at ../../../khotkeys/libkhotkeysprivate/action_data/action_data_base.cpp:55
#13 0x00007fde3accdfb9 in KHotKeys::ActionDataGroup::~ActionDataGroup (this=0x4ac9ea0, __in_chrg=<optimized out>) at ../../../khotkeys/libkhotkeysprivate/action_data/action_data_group.cpp:41
#14 0x00007fde3accdfaa in KHotKeys::ActionDataGroup::~ActionDataGroup (this=0x4ac9c50, __in_chrg=<optimized out>) at ../../../khotkeys/libkhotkeysprivate/action_data/action_data_group.cpp:39
#15 0x00007fde3accdfb9 in KHotKeys::ActionDataGroup::~ActionDataGroup (this=0x4ac9c50, __in_chrg=<optimized out>) at ../../../khotkeys/libkhotkeysprivate/action_data/action_data_group.cpp:41
#16 0x00007fde3accdfaa in KHotKeys::ActionDataGroup::~ActionDataGroup (this=0x2803d70, __in_chrg=<optimized out>) at ../../../khotkeys/libkhotkeysprivate/action_data/action_data_group.cpp:39
#17 0x00007fde3accdfb9 in KHotKeys::ActionDataGroup::~ActionDataGroup (this=0x2803d70, __in_chrg=<optimized out>) at ../../../khotkeys/libkhotkeysprivate/action_data/action_data_group.cpp:41
#18 0x00007fde3acdbdd2 in KHotKeys::Settings::setActions (this=this@entry=0x4a31fc0, actions=actions@entry=0x0) at ../../../khotkeys/libkhotkeysprivate/settings.cpp:181
#19 0x00007fde3acdcac0 in KHotKeys::Settings::reinitialize (this=this@entry=0x4a31fc0) at ../../../khotkeys/libkhotkeysprivate/settings.cpp:163
#20 0x00007fde3acdd363 in KHotKeys::Settings::reread_settings (this=0x4a31fc0, include_disabled=true) at ../../../khotkeys/libkhotkeysprivate/settings.cpp:435
#21 0x00007fde3af473f2 in KHotkeysModel::load (this=0x4a31fb0) at ../../../khotkeys/kcm_hotkeys/hotkeys_model.cpp:475
#22 0x00007fde3af429c6 in KCMHotkeysPrivate::save (this=0x4a2e280) at ../../../khotkeys/kcm_hotkeys/kcm_hotkeys.cpp:373
#23 0x00007fde3af431ed in KCMHotkeys::save (this=0x4a2a910) at ../../../khotkeys/kcm_hotkeys/kcm_hotkeys.cpp:270
#24 0x00007fde51ecdaf7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#25 0x00007fde51ca3693 in ModuleView::moduleSave (this=<optimized out>, module=<optimized out>) at ../../../systemsettings/core/ModuleView.cpp:289
#26 0x00007fde51ca516a in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at ./ModuleView.moc:72
#27 ModuleView::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./ModuleView.moc:61
#28 0x00007fde4fec554f in QMetaObject::activate (sender=0x25d9550, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffc391ef30) at kernel/qobject.cpp:3547
#29 0x00007fde511a2f52 in QAbstractButton::clicked (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:220
#30 0x00007fde50ef708e in QAbstractButtonPrivate::emitClicked (this=this@entry=0x25dc050) at widgets/qabstractbutton.cpp:548
#31 0x00007fde50ef78c0 in QAbstractButtonPrivate::click (this=this@entry=0x25dc050) at widgets/qabstractbutton.cpp:541
#32 0x00007fde50ef7b2c in QAbstractButton::mouseReleaseEvent (this=0x25d9550, e=0x7fffc391f7d0) at widgets/qabstractbutton.cpp:1123
#33 0x00007fde50b8ce10 in QWidget::event (this=0x25d9550, event=0x7fffc391f7d0) at kernel/qwidget.cpp:8371
#34 0x00007fde50b3d70c in QApplicationPrivate::notify_helper (this=this@entry=0x22eddc0, receiver=receiver@entry=0x25d9550, e=e@entry=0x7fffc391f7d0) at kernel/qapplication.cpp:4556
#35 0x00007fde50b423eb in QApplication::notify (this=<optimized out>, receiver=0x25d9550, e=0x7fffc391f7d0) at kernel/qapplication.cpp:4099
#36 0x00007fde518708a6 in KApplication::notify (this=0x7fffc3920430, receiver=0x25d9550, event=0x7fffc391f7d0) at ../../kdeui/kernel/kapplication.cpp:311
#37 0x00007fde4feafb5e in QCoreApplication::notifyInternal (this=0x7fffc3920430, receiver=0x25d9550, event=0x7fffc391f7d0) at kernel/qcoreapplication.cpp:915
#38 0x00007fde50b3e54b in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#39 QApplicationPrivate::sendMouseEvent (receiver=0x25d9550, event=0x7fffc391f7d0, alienWidget=0x25d9550, nativeWidget=0x254a2c0, buttonDown=0x7fde516132a8, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3167
#40 0x00007fde50bb8fc4 in QETWidget::translateMouseEvent (this=this@entry=0x254a2c0, event=event@entry=0x7fffc391ff40) at kernel/qapplication_x11.cpp:4523
#41 0x00007fde50bb7d51 in QApplication::x11ProcessEvent (this=0x7fffc3920430, event=0x7fffc391ff40) at kernel/qapplication_x11.cpp:3646
#42 0x00007fde50bdebc2 in x11EventSourceDispatch (s=0x22caee0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#43 0x00007fde4d05c205 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#44 0x00007fde4d05c538 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#45 0x00007fde4d05c5f4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#46 0x00007fde4fede276 in QEventDispatcherGlib::processEvents (this=0x22a84b0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#47 0x00007fde50bde83e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#48 0x00007fde4feae8af in QEventLoop::processEvents (this=this@entry=0x7fffc3920310, flags=...) at kernel/qeventloop.cpp:149
#49 0x00007fde4feaeb38 in QEventLoop::exec (this=0x7fffc3920310, flags=...) at kernel/qeventloop.cpp:204
#50 0x00007fde4feb3cf8 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#51 0x000000000040b1ee in main (argc=5, argv=0x7fffc3920578) at ../../../systemsettings/app/main.cpp:49

Reported using DrKonqi
Comment 1 Christoph Feck 2012-08-31 17:24:00 UTC
Probably needs the same "fix" as bug 286308.
Comment 2 Frank Roscher 2013-02-09 16:10:39 UTC
Git commit cd7d3e7423fb09cb7ef5df00e4c4cd25fa79322f by Frank Roscher.
Committed on 09/02/2013 at 16:36.
Pushed by froscher into branch 'KDE/4.10'.

Fix KHotkeys crash when using condition lists with several conditions.
FIXED-IN: 4.10.1

M  +4    -4    khotkeys/libkhotkeysprivate/conditions/conditions_list_base.cpp

http://commits.kde.org/kde-workspace/cd7d3e7423fb09cb7ef5df00e4c4cd25fa79322f